Bug 124485 - [Patch] comms/conserver-com: don't use sgtty
Summary: [Patch] comms/conserver-com: don't use sgtty
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jun Kuriyama
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-11 13:40 UTC by Ed Schouten
Modified: 2008-07-03 00:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Schouten freebsd_committer 2008-06-11 13:40:08 UTC
The conserver-com port also needs a small change to compile properly
when sgtty is not available. On FreeBSD, TAB3 is called OXTABS.

See the PR about conserver for more details.

Fix: 

--- conserver/group.c
+++ conserver/group.c
@@ -3839,12 +3839,10 @@
 					      "failed]\r\n", -1);
 				    continue;
 				}
-				if (TAB3 == (TABDLY & sbuf.c_oflag)) {
-				    sbuf.c_oflag &= ~TABDLY;
-				    sbuf.c_oflag |= TAB0;
+				if (sbuf.c_oflag & OXTABS) {
+					sbuf.c_oflag &= ~OXTABS;
 				} else {
-				    sbuf.c_oflag &= ~TABDLY;
-				    sbuf.c_oflag |= TAB3;
+					sbuf.c_oflag |= OXTABS;
 				}
 				if (-1 ==
 				    tcsetattr(FileFDNum
Comment 1 Edwin Groothuis freebsd_committer 2008-06-11 13:40:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kuriyama

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Jun Kuriyama freebsd_committer 2008-07-03 00:15:04 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 dfilter service freebsd_committer 2008-07-03 00:15:08 UTC
kuriyama    2008-07-02 23:15:03 UTC

  FreeBSD ports repository

  Modified files:
    comms/conserver-com  Makefile 
  Added files:
    comms/conserver-com/files patch-group.c 
  Log:
  - Unbreak on recent 8-current (after sgtty changes).
  - Bump PORTREVISION for safety by minor logic change.
  
  Submitted by:   ed@FreeBSD.org
  PR:             ports/124485
  
  Revision  Changes    Path
  1.34      +1 -0      ports/comms/conserver-com/Makefile
  1.1       +18 -0     ports/comms/conserver-com/files/patch-group.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"